# NativeComponentExtension

@Incubating
interface NativeComponentExtension

The configuration for native components generated by this build.

## Functions

executables
Link copied to clipboard
abstract fun executables(action: Action<in NamedDomainObjectContainer<in NativeExecutableSpec>>)
Configure the NativeExecutableSpec components produced by the build.
getExecutables
Link copied to clipboard
abstract fun getExecutables(): NamedDomainObjectContainer<NativeExecutableSpec>
The NativeExecutableSpec components produced by the build.
getLibraries
Link copied to clipboard
abstract fun getLibraries(): NamedDomainObjectContainer<NativeLibrarySpec>
The NativeLibrarySpec components produced by the build.
libraries
Link copied to clipboard
abstract fun libraries(action: Action<in NamedDomainObjectContainer<in NativeLibrarySpec>>)
Configure the NativeLibrarySpec components produced by the build.